## org.eclipse.jet.core.parser.ast
Class IncludedContent

    java.lang.Object
      org.eclipse.jet.core.parser.ast.JETASTElement
          org.eclipse.jet.core.parser.ast.BodyElement
              org.eclipse.jet.core.parser.ast.IncludedContent

    public final class IncludedContent

extends BodyElement

Container for content included as a result of a JET V1 <%@include %> directive.

Method Summary
`protected void` `accept0(JETASTVisitor visitor)` Visit the AST and its contained elements.
`void` `addBodyElement(BodyElement bodyElement)` Add an JET AST element to the body of the include
`BodyElement` `elementAfter(JETASTElement element)` Find the element after the given element in the directly contained elements
`BodyElement` `elementBefore(JETASTElement element)` Find the element before the given element in the directly contained elements
`java.net.URI` `getBaseLocationURI()` Return the base location URI of the template
`java.util.List` `getBodyElements()` Return a read-only list of JET elements contained by this element.
`JETASTElement` `getNextElement()`
`java.lang.String` `getTemplatePath()` Return the template Path of the include content
`boolean` `removeLineWhenOtherwiseEmpty()` Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output.

Methods inherited from class org.eclipse.jet.core.parser.ast.JETASTElement
`accept, getAst, getColumn, getEnd, getLine, getParent, getPrevElement, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### accept0

    protected final void accept0(JETASTVisitor visitor)

  Description copied from class: `JETASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept0` in class `JETASTElement`

### getBaseLocationURI

    public java.net.URI getBaseLocationURI()

  Return the base location URI of the template

  Returns:
    a location URI

### getBodyElements

    public final java.util.List getBodyElements()

  Return a read-only list of JET elements contained by this element.

  Returns:
    a List of `JETASTElement` instances. The empty list is returned if there are no elements.

### getTemplatePath

    public java.lang.String getTemplatePath()

  Return the template Path of the include content

  Returns:
    the template Path

### removeLineWhenOtherwiseEmpty

    public boolean removeLineWhenOtherwiseEmpty()

  Description copied from class: `JETASTElement`
  Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output. In general, elements that create output should return `false`, while element that do should should return `true`.

  Specified by:
    `removeLineWhenOtherwiseEmpty` in class `JETASTElement`
  Returns:
    `true` if the containing line should be removed if otherwise empty.

### addBodyElement

    public void addBodyElement(BodyElement bodyElement)

  Add an JET AST element to the body of the include

  Parameters:
    `bodyElement` -

### elementAfter

    public BodyElement elementAfter(JETASTElement element)

  Find the element after the given element in the directly contained elements

  Parameters:
    `element` - a JET AST element
  Returns:
    a `BodyElement` or `null`

### elementBefore

    public BodyElement elementBefore(JETASTElement element)

  Find the element before the given element in the directly contained elements

  Parameters:
    `element` - a JET AST element
  Returns:
    a `BodyElement` or `null`

### getNextElement

    public JETASTElement getNextElement()

  Overrides:
    `getNextElement` in class `JETASTElement`

Copyright 2006 IBM Corporation and others. All Rights Reserved.